Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ensembl.driver
Interface ExonAdaptor

All Superinterfaces:
  Adaptor, FeatureAdaptor, java.rmi.Remote

public interface ExonAdaptor
extends FeatureAdaptor

Provides access to Exons in the datasource.

See Also:
  `Exon`

Field Summary
`static java.lang.String` | `TYPE` Name of the default ExonAdaptor available from a driver.

Method Summary
`void` | `delete(Exon exon)` Attempts to remove exon from the data source.
`void` | `delete(long internalID)` Attempts to remove exon with the specified internalID from the data source.
`Exon` | `fetch(long internalID)`
`java.util.List` | `fetch(Query query)` Deprecated. since version 27.0 use other fetch(...) methods.
`Exon` | `fetch(java.lang.String accessionID)`
`void` | `fetchAccessionID(Exon exon)` Retrieves accession from persistent store and sets that value on the exon.
`java.util.List` | `fetchAllByTranscript(long transcriptID)` Fetch all exons associated with the transcript.
`Exon` | `fetchComplete(Exon exon)` This method loads the gene and transcripts into the exon if it corresponds to entries in the database.
`void` | `fetchVersion(Exon exon)` Retrieves version from persistent store and sets that value on the exon.
`long` | `store(Exon exon)` Stores new exon in the data source.

Methods inherited from interface org.ensembl.driver.FeatureAdaptor
`convertLocations, fetch, fetch, fetch, fetch, fetchAll, fetchAll, fetchCount, fetchInternalIDs, fetchInternalIDs, fetchIterator, fetchIterator, fetchIterator, fetchIterator, fetchIterator, fetchIterator, fetchIterator, fetchIterator, fetchIterator`

Methods inherited from interface org.ensembl.driver.Adaptor
`clearCache, closeAllConnections, getType`

Field Detail

### TYPE

    public static final java.lang.String TYPE

  Name of the default ExonAdaptor available from a driver.

  See Also:
    Constant Field Values

Method Detail

### fetch

    public Exon fetch(long internalID)
               throws AdaptorException

  Returns:
    A Exon matching the internalID, or null if non found.
  Throws:
    `AdaptorException`

### fetch

    public Exon fetch(java.lang.String accessionID)
               throws AdaptorException

  Returns:
    A Exon matching the accessionID, or null if non found.
  Throws:
    `AdaptorException`

### fetchAccessionID

    public void fetchAccessionID(Exon exon)
                          throws AdaptorException

  Retrieves accession from persistent store and sets that value on the exon.

  Throws:
    `AdaptorException`

### fetchVersion

    public void fetchVersion(Exon exon)
                      throws AdaptorException

  Retrieves version from persistent store and sets that value on the exon.

  Throws:
    `AdaptorException`

### fetch

    public java.util.List fetch(Query query)
                         throws AdaptorException

  Deprecated. since version 27.0 use other fetch(...) methods.

  Returns:
    List containing zero or more items matching the query.
  Throws:
    `AdaptorException`

### fetchComplete

    public Exon fetchComplete(Exon exon)
                       throws AdaptorException

  This method loads the gene and transcripts into the exon if it corresponds to entries in the database.

  Parameters:
    `exon` - potentially incomplete exon.
  Returns:
    exon with gene and transcripts loaded, or null if no such entries where found.
  Throws:
    `AdaptorException`

### delete

    public void delete(Exon exon)
                throws AdaptorException

  Attempts to remove exon from the data source.

  Throws:
    `AdaptorException`

### delete

    public void delete(long internalID)
                throws AdaptorException

  Attempts to remove exon with the specified internalID from the data source.

  Throws:
    `AdaptorException`

### store

    public long store(Exon exon)
               throws AdaptorException

  Stores new exon in the data source.

  Throws:
    `AdaptorException`

### fetchAllByTranscript

    public java.util.List fetchAllByTranscript(long transcriptID)
                                        throws AdaptorException

  Fetch all exons associated with the transcript.

  Parameters:
    `transcriptID` - internal ID of a transcript.
  Returns:
    zero or more Exons.
  Throws:
    `AdaptorException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD